<?php
/**
 * 위치별 플러그인 설정 스크립트
 *
 * HTML 을 저장할 수 있도록 한다.
 */


/**
 * 플러그인 정보
 */
$pd = dirRoot."/plugin/$ui[dir]";
include $pd."/info.php";
$file = module_repository . "/plugin.cfg.$ui[areaname].php"; //설정 파일
$cfg = config($file);

if ( !isset($cfg['message']) ) $cfg['message'] = NULL;
?>
<!-- HTML //-->
<html>
<head>
	<meta http-equiv=Content-Type content='text/html;charset=utf-8'>
	<link rel="stylesheet" type="text/css" href="etc/res/css/basic.css">
	<title><?=$info['name']?> 관리자 화면</title>
	<style>
		body {margin:10;}
		body, div, td { font-size: 10pt; }
		.in {height: 20;}
	</style>
</head>
<body>

<div id="title"><?=$ui['areaname']?> 위치 "<?=$info['name']?>" 설정</div>

<div style="margin-left:20; margin-top: 4;">
	<div id="key">위치</div>
	<div id="value"><?=$ui['areaname']?></div>
	<div id="key">플러그인</div>
		<div id="value"><?=$info['name']?> by <?=$info['author']?>
		&nbsp;&nbsp;
		<a href="#"
			style="text-decoration: line-through;"
			onclick="var w = window.open('?cate=plugin&mode=select&action=save&form_name=<?=$ui['areaname']?>','openBox','top=300,left=500,width=400,height=120'); w.focus(); return false;"
			>
			플러그인 변경
			</a>
	</div>
</div>

<div id="note"><?=$info['description']?></div>

<div id="comment">화면에 출력할 HTML 태그(메세지)를 입력하십시오.</div>

<form enctype="multipart/form-data" action="?" method="post" style="display:inline;">
<input type="hidden" name="cate" value="plugin">
<input type="hidden" name="mode" value="plugin">
<input type="hidden" name="action" value="config_submit">
<input type="hidden" name="dir" value="<?=$ui['dir']?>">
<input type="hidden" name="areaname" value="<?=$ui['areaname']?>">

<textarea name="message" rows="10" cols="55"><?=form_value($cfg['message'])?></textarea>
<br>
<input type="file" name="file" size=40>
<br>
<input type="submit" class='button_blue' value=" 저 장 ">

</form>

<script>
	window.resizeTo(500,600);
</script>

<br>
<br>
<div id="key">미리보기</div><div id="value">위의 저장(변경)된 내용이 아래 바로 적용이됩니다.</div>

<?
	lib('plugin');
	plugin($ui['areaname']);
?>
