<?php
/**
 * 글 수정
 *
 * begin.php 에서 많은 전 처리를 했다.
 * 글 쓰기와 달리 $ui[idx] 는 글 번호의 값을 가진다.
 *
 * @since 2007/01/28 글 작성 관련 코드에서 $data = $ui 와 같이 입력값 전체를 전달해서 작업한다.
 *	오류 가능성이 있지만, 자용자가 직접 스킨의 HTML 항목을 바꿀 경우, 그대로 적용을 하려면 이렇게 해야한다.
 * @since 2007/01/28 $ui[state] 에 값이 안들어오면 기본값처리를 한다.
 */
include_once script('begin');						// load begin.php
/**
 * 기본 값 처리
 */
if ( !isset($ui['state']) || empty($ui['state']) ) $ui['state'] = '';


$data = $ui;
unset($data['cate']);
unset($data['mode']);
unset($data['password']);

if ( login() )
{
	$data['idx_user']			= $user['idx'];
	$data['id']						= $user['id'];
	$data['name']					= $user['nick'];
	$data['email']				= $user['email'];
	$data['homepage']			= $user['homepage'];
	$data['sex']					= $user['sex'];
	$data['birth']				= $user['jumin1'];
}


trigger_event('OnUpdateBefore', $data);
if ( updatePost($data) ) {
	trigger_event('OnUpdateFailed', $data);
	goBack(wrongParam, "bbs::modify_submit 입력 양식 항목의 값이 잘못 기재되었습니다.");
}

if ( $post['idx_parent'] ) $url_read = "?cate=bbs&mode=read&idx=$post[idx_parent]";
else $url_read = "?cate=bbs&mode=read&idx=$post[idx]";
trigger_event('OnUpdateAfter', $data);
?>
