-- phpMyAdmin SQL Dump
-- version 2.8.2.4
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Feb 13, 2007 at 11:02 PM
-- Server version: 5.0.24
-- PHP Version: 5.1.6
-- 
-- Database: `jangnan`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `category`
-- 

CREATE TABLE `category` (
  `idx` int(11) NOT NULL auto_increment,
  `idx_parent` int(10) unsigned NOT NULL,
  `dateTime` char(14) NOT NULL,
  `type` tinyint(4) NOT NULL,
  `description` varchar(255) NOT NULL,
  `id` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `r` smallint(4) NOT NULL,
  `w` smallint(4) NOT NULL,
  `articles` int(11) NOT NULL,
  `number_list` smallint(5) unsigned NOT NULL,
  `page_navigator` tinyint(4) NOT NULL,
  `etc` varchar(255) NOT NULL,
  `idx_user` int(10) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `dateTime_created` char(14) NOT NULL,
  `skin` varchar(128) NOT NULL,
  `header` mediumtext NOT NULL,
  `footer` mediumtext NOT NULL,
  `managers` varchar(255) NOT NULL,
  `image_width` smallint(6) NOT NULL,
  `image_height` smallint(6) NOT NULL,
  `image_view` tinyint(4) NOT NULL,
  PRIMARY KEY  (`idx`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=91 DEFAULT CHARSET=utf8 AUTO_INCREMENT=91 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `file`
-- 

CREATE TABLE `file` (
  `idx` int(10) unsigned NOT NULL auto_increment,
  `idx_category_type` tinyint(4) NOT NULL,
  `idx_post` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `type` varchar(255) NOT NULL,
  `dateTime` char(14) NOT NULL,
  `ip` int(10) unsigned NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  `user_agent` varchar(255) NOT NULL,
  `inline` varchar(7) NOT NULL,
  PRIMARY KEY  (`idx`),
  KEY `ip` (`ip`),
  KEY `idx_post` (`idx_post`)
) ENGINE=MyISAM AUTO_INCREMENT=192 DEFAULT CHARSET=utf8 AUTO_INCREMENT=192 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `post`
-- 

CREATE TABLE `post` (
  `idx` int(10) unsigned NOT NULL auto_increment,
  `idx_parent` int(10) unsigned NOT NULL,
  `idx_category` int(10) unsigned NOT NULL,
  `idx_category_type` tinyint(4) NOT NULL,
  `idx_user` int(10) unsigned NOT NULL,
  `idx_link` int(10) unsigned NOT NULL,
  `id` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `sex` char(1) NOT NULL,
  `birth` int(9) unsigned NOT NULL,
  `email` varchar(255) NOT NULL,
  `homepage` varchar(255) NOT NULL,
  `ip` char(15) NOT NULL,
  `password` varchar(255) NOT NULL,
  `password_type` varchar(64) NOT NULL,
  `tags` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `dateTime` char(14) NOT NULL,
  `dateTime_firstwrite` char(14) NOT NULL,
  `dateTime_created` varchar(14) NOT NULL,
  `hits` mediumint(9) NOT NULL,
  `r` smallint(4) unsigned NOT NULL,
  `order_no` float NOT NULL,
  `order_depth` tinyint(3) unsigned NOT NULL,
  `secret` varchar(255) NOT NULL,
  `user_agent` varchar(255) NOT NULL,
  `state` varchar(128) NOT NULL,
  `children` tinyint(3) unsigned NOT NULL,
  `files` tinyint(3) unsigned NOT NULL,
  `recommend` int(11) NOT NULL,
  `etc_int_1` int(11) NOT NULL,
  `etc_int_2` int(11) NOT NULL,
  `etc_char_1` char(1) NOT NULL,
  `etc_char_2` char(1) NOT NULL,
  `etc_varchar_1` varchar(255) NOT NULL,
  `etc_varchar_2` varchar(255) NOT NULL,
  `grade` smallint(5) unsigned NOT NULL,
  `point` smallint(5) unsigned NOT NULL,
  `origin` varchar(128) NOT NULL,
  `license` varchar(255) NOT NULL,
  PRIMARY KEY  (`idx`),
  KEY `idx_category` (`idx_category`),
  KEY `idx_category_type` (`idx_category_type`),
  KEY `idx_user` (`idx_user`),
  KEY `name` (`name`),
  KEY `id` (`id`),
  KEY `hits` (`hits`),
  KEY `state` (`state`),
  KEY `recommend` (`recommend`),
  KEY `dateTime` (`dateTime`),
  KEY `dateTime_firstwrite` (`dateTime_firstwrite`)
) ENGINE=MyISAM AUTO_INCREMENT=2494 DEFAULT CHARSET=utf8 AUTO_INCREMENT=2494 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `user`
-- 

CREATE TABLE `user` (
  `idx` int(11) NOT NULL auto_increment,
  `id` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `password_q` varchar(255) NOT NULL,
  `password_a` varchar(255) NOT NULL,
  `first_name` varchar(64) NOT NULL,
  `last_name` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `nick` varchar(64) NOT NULL,
  `sex` char(1) NOT NULL,
  `birth_year` char(4) NOT NULL,
  `birth_month` char(2) NOT NULL,
  `birth_day` char(2) NOT NULL,
  `jumin1` char(6) NOT NULL,
  `jumin2` char(7) NOT NULL,
  `email` varchar(128) NOT NULL,
  `homepage` varchar(255) NOT NULL,
  `address_state` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `street` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `zipcode` varchar(32) NOT NULL,
  `phone` varchar(32) NOT NULL,
  `cphone` varchar(32) NOT NULL,
  `memo` mediumtext NOT NULL,
  `dateTime` char(14) NOT NULL,
  `dateTime_signup` char(14) NOT NULL,
  `dateTime_lastlogin` char(14) NOT NULL,
  `ip` char(15) NOT NULL,
  `ip_signup` char(15) NOT NULL,
  `ip_lastlogin` char(15) NOT NULL,
  `grade` smallint(5) unsigned NOT NULL,
  `manager` varchar(255) NOT NULL,
  `point` smallint(5) unsigned NOT NULL,
  `r` smallint(5) unsigned NOT NULL,
  `skin` varchar(128) NOT NULL,
  `password_type` varchar(32) NOT NULL,
  `domain` varchar(64) NOT NULL,
  `job` varchar(64) NOT NULL,
  `hobby` varchar(64) NOT NULL,
  `messenger` varchar(128) NOT NULL,
  `mailing` char(1) NOT NULL,
  `etc_int_1` int(11) NOT NULL,
  `etc_int_2` int(11) NOT NULL,
  `etc_char_1` char(1) NOT NULL,
  `etc_char_2` char(1) NOT NULL,
  `etc_varchar_1` varchar(255) NOT NULL,
  `etc_varchar_2` varchar(255) NOT NULL,
  `office_name` varchar(32) NOT NULL,
  `office_address` varchar(128) NOT NULL,
  `office_zipcode` varchar(16) NOT NULL,
  `office_phone` varchar(32) NOT NULL,
  `signature` varchar(255) NOT NULL,
  `recommender` int(10) unsigned NOT NULL,
  `image_nick` int(11) NOT NULL,
  `image_4x5` int(11) NOT NULL,
  `image_5x7` int(11) NOT NULL,
  `image_3x4` int(11) NOT NULL,
  `image_5x5` int(11) NOT NULL,
  PRIMARY KEY  (`idx`),
  UNIQUE KEY `id` (`id`),
  KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=65 DEFAULT CHARSET=utf8 AUTO_INCREMENT=65 ;
