<?php
/**
 * 플러그인을 선택
 *
 * 본 스크립트는 새창으로 열린다.
 * 플러그인을 선택한 다음, 입력값에 따라 opener 의 FORM 을 전송 시키거나 직접 설정을 저장한다.
 *
 * opener 윈도우의 HTML FORM 아이디는 apply 이어야한다.
 *
 * @note 입력
 *	- $ui['form_name']		폼 변수. 필수. 변수의 명칭은 위치 이름이다.
 *
 */


?>


<html>
<head>
	<meta http-equiv=Content-Type content='text/html;charset=utf-8'>
	<title>플러그인 선택</title>
	<style>
		body, td, div {font-size: 10pt;}
	</style>
</head>

<script>
function setValue(obj)
{
	opener.apply.<?=$ui['form_name']?>.value = obj.plugin.value;
	opener.apply.submit();
	self.close();
}
</script>

<div id="note"><?=$ui['form_name']?>에 사용할 플러그인을 선택하십시오.</div>

<br>



<?
	include script('plugins');
?>

<script>
<!--
des = new Array();
des[0] = "플러그인의 설명이 나타나는 곳입니다.";
<?$k=0;foreach($plugins as $plugin){$k++;
	echo "des[$k] = \"$plugin[description]\";\r\n";
}?>
function describe(index)
{
	obj = document.getElementById("desc");
	obj.innerHTML = des[index];
}
//-->
</script>


<?
	if ( isset($ui['action']) && $ui['action'] == 'save' )
		echo "
			<form action'?'>
			<input type=hidden name='cate' value='plugin'>
			<input type=hidden name='mode' value='select_submit'>
			<input type=hidden name='areaname' value='$ui[form_name]'>
		";
	else
		echo "<form action='?' onsubmit='setValue(this); return false;'>";
?>
<table>
	<tr>
		<td>
			<input type='submit' value='선택'>
		</td>
		<td>
			<select name="plugin" onchange="describe(this.selectedIndex);">
			<option value=''>선택안함 (원하는 플러그인을 아래에서 선택하십시오.)</option>
			<?foreach($plugins as $plugin){?>
			<?
				$i = &$plugin;
				$v = $i['name'];
				if ( isset($i['version']) ) $v.=" v$i[version]";
				if ( isset($i['author']) ) $v.=" by $i[author]";
				$v.=" ($i[dirname])";
			?>
				<option value="<?=$v?>"><?=$v?></option>
			<?}?>
			</select>
		</td>
	</tr>
	
	<tr>
		<td colspan=4>
			<div id="desc">
				설명...
			</div>
		</td>
	</tr>
</table>


</form>

<?return noskin()?>
