<?php
/**
 * 로그를 기록하기 위한 추가 스크립트
 *
 * @since 2007/04/11 다운로드 모듈에서는 로그가 기록이 안되도록 변경
 */

//if ( empty($dirRoot) ) $dirRoot = "../.."; $install = include_once("$dirRoot/lib/default.php");

if ( in_array($ui['cate'], array('download') ) ) return true;

$file = module_repository . "/log.cfg.php";
$cfg_log = config($file);
if ( !isset($cfg_log['level']) || empty($cfg_log['level']) ) return true;

global $db;

if ( !$db )
	lib('db');

global $user;

$v['h'] = $v['l'] = $v['u'] = $v['t'] = $v['r'] = $v['s'] = $v['b'] = $v['ref'] = $v['a'] = NULL;



$v['h'] = $_SERVER['REMOTE_ADDR'];
if ( isset($user['id']) )			$v['l'] = $user['id'];
if ( isset($user['name']) )		$v['u'] = $user['name'];
$v['t'] = time();						//date("[d/M/Y:H:i:s O]");			// @note 시간은 stamp 로 기록->나중에 활용

if ( $cfg_log['level'] >= 1 )
	$v['r'] = "$_SERVER[REQUEST_METHOD] $_SERVER[REQUEST_URI] $_SERVER[SERVER_PROTOCOL]";

$v['s'] = "200";						// 스크립트에서 실행되는 한, 이 값은 유효하지 않다.
$v['b'] = "0";							// 스크립트에서 출력하는 데이터의 크기 + 헤더의 크기를 계산
														// 웹서버에서 직접적으로 계산하지 않으면 어렵다.
if ( $cfg_log['level'] >= 2 ) $v['ref']	= $_SERVER['HTTP_REFERER'];
if ( $cfg_log['level'] >= 3 ) $v['a']	= $_SERVER['HTTP_USER_AGENT'];


if ( ! $db->insert('module_log',$v) )
{
 	// 에러 상황 발생.
 	alert("cannot log. please, notify this to webmaster!");
}

?>
