<?php
/**
 *
 *
 */

define("module_id", $ui['cate']);



$file = module_repository . "/point.cfg.php";
$cfg  = config($file);


if ( ! isset($cfg['point_login']) ) $cfg['point_login'] = "+6";
if ( ! isset($cfg['point_write']) ) $cfg['point_write'] = "+7";
if ( ! isset($cfg['point_reply']) ) $cfg['point_reply'] = "+3";
if ( ! isset($cfg['point_delete']) ) $cfg['point_delete'] = "-7";
if ( ! isset($cfg['point_up']) ) $cfg['point_up'] = "+20";
if ( ! isset($cfg['point_down']) ) $cfg['point_down'] = "-15";


if ( empty($cfg) )
{
	$cfg = array();
	config($file, $cfg);
}

if ( isset($ui['extra']) && $ui['extra'] == 'submit' )
{
	$cfg = $ui;
	config($file, $ui);
}

lib('module');
$version = getModuleVersion(module_id);


?>

<html>
<head>
	<meta http-equiv=Content-Type content='text/html;charset=utf-8'>
	<link rel="stylesheet" type="text/css" href="etc/res/css/basic.css">
	<style>
		body, td, div {font-size:10pt;}
	</style>
</head>
<body>

<div id="title">포인트 모듈 관리자 화면</div>
<div id="comment">
	포인트 모듈을 설치하면, 회원 정보의 포인트 값이 로그인, 글 쓰기 등의 행동에 의해서 증/감하게됩니다.
</div>

<p>

<?if(!$version){?>
<div id="note"><a href="?cate=point&mode=install">설치</a> 포인트 모듈을 설치합니다.</div>
<?}else{?>
<div id="note"><a href="?cate=point&mode=uninstall">제거</a> 설치된 포인트 모듈을 제거합니다.</div>
<?}?>

</p>

<p>
	현제 모듈 <?=$cate?>
<?if($version){?>
	 의 버젼 <?=$version?> 이 <b>설치되어 있습니다.</b>
<?}else{?>
	는 설치되지 않았습니다.
<?}?>
<div id="comment">
	설치/제거를 위해서는 상단의 링크를 클릭하시면됩니다.
</div>
</p>


<br>

<div id="comment">
	포인트 지정은 양수, 음수 부호를 통해서 표현이 가능합니다. 부호가 생략되면 포인트가 증가하며 음수(-) 부호가 사용되면 포인트가 감소됩니다.
</div>
<form action="?" style="display:inline;">
<input type="hidden" name="cate" value="point">
<input type="hidden" name="mode" value="admin">
<input type="hidden" name="extra" value="submit">

로그인 포인트 <input type='text' name='point_login' value="<?=$cfg['point_login']?>" size=3><br>

글 등록 포인트 <input type='text' name='point_write' value="<?=$cfg['point_write']?>" size=3><br>

댓글(답변,코멘트) 등록 포인트 <input type='text' name='point_reply' value="<?=$cfg['point_reply']?>" size=3><br>

글 삭제 포인트 <input type='text' name='point_delete' value="<?=$cfg['point_delete']?>" size=3><br>

추천 포인트 <input type='text' name='point_up' value="<?=$cfg['point_up']?>" size=3><br>

비추천 포인트 <input type='text' name='point_down' value="<?=$cfg['point_down']?>" size=3><br>

<input type="submit" class="button_blue" value=" 저 장 ">

</form>


</body>
</html>
<?return noskin()?>
