<?php
/**
 * 회원 포인트 증/감을 하는 스크립트
 *
 */



class class_point {
	var $ui;
	var $system;
	var $cfg;
	var $cfgfile;
	function class_point()
	{
		$this->ui			= $GLOBALS['ui'];
		$this->system = $GLOBALS['system'];
		$this->cfg		= NULL;
		$this->cfgfile= module_repository . "/point.cfg.php";
	}
	function getconfig()
	{
		if ( $this->cfg ) return $this->cfg;
		$this->cfg = config( $this->cfgfile );
		return $this->cfg;
	}
	function OnBegin($params)
	{
	}
	function OnEnd($params)
	{
	}
	
	function OnDownloadBefore($params)
	{
	}
	function OnDownloadAfter($params)
	{
	}
	
	
	function OnLoginBefore($params)
	{
	}
	function OnLoginAfter($params)
	{
		$cfg = $this->getconfig();
		if ( !isset($cfg['point_login']) || empty($cfg['point_login']) ) return;
		
		lib('user');
		updateUserPoint($params['idx'], $params['point'] + $cfg['point_login']);
	}
	function OnLoginFailed($params)
	{
	}
	
	function OnWriteBefore($params)
	{
	}
	function OnWriteAfter($params)
	{
	}
	function OnWriteFailed($params)
	{
	}

	
	function OnUpdateBefore($params)
	{
	}
	function OnUpdateAfter($params)
	{
	}
	function OnUpdateFailed($params)
	{
	}

	function OnReplyBefore($params)
	{
	}
	function OnReplyAfter($params)
	{
	}
	function OnReplyFailed($params)
	{
	}

	function OnDeleteBefore($params)
	{
	}
	function OnDeleteAfter($params)
	{
	}
	function OnDeleteFailed($params)
	{
	}



	function OnPointUp($idx)
	{
		$cfg = $this->getconfig();
		if ( !isset($cfg['point_up']) || empty($cfg['point_up']) ) return;
		
		lib('user');
		lib('post');
		$post = post($idx);
		if ( ! $post['idx_user'] ) return;
		$user = user($post['idx_user']);
		
		updateUserPoint($user['idx'], $user['point'] + $cfg['point_up']);
	}
	function OnPointDown($idx)
	{
		$cfg = $this->getconfig();
		if ( !isset($cfg['point_down']) || empty($cfg['point_down']) ) return;
		
		lib('user');
		lib('post');
		$post = post($idx);
		if ( ! $post['idx_user'] ) return;
		$user = user($post['idx_user']);
		
		updateUserPoint($user['idx'], $user['point'] + $cfg['point_down']);
	}
}


register_class('class_point');

?>
