<?php
/**
 * 플러그인 설정에서 부터 플러그인의 설정을 선택(복사)할 수 있도록 한다.
 *
 *
 */


?>

<html>
<head>
	<title>플러그인 선택</title>
	<meta http-equiv=Content-Type content='text/html;charset=utf-8'>
	<link rel="stylesheet" type="text/css" href="etc/res/basic.css">
	<style>
		body, td, div {font-size: 10pt;}
	</style>
</head>


<div id="title">플러그인 (설정) 복사</div>
<div id="note"><?=$ui['form_name']?>에 사용(복사)할 플러그인(설정포함)을 선택하십시오.</div>
<div id="comment">
	사용중인 플러그인의 설정을 복사합니다.
</div>


<?

	$cfgs = array();
	$files = getFiles(module_repository);
	foreach( $files as $file )
	{
		if ( strstr($file, "plugin.cfg.") )
		{
			$name = substr(strstr($file, "plugin.cfg."), 11);
			$areaname = substr($name, 0, strlen($name) - 4 );
			$cfgs[$areaname] = config($file);
		}
	}
	$file = module_repository."/plugin.{$system['skin']}.php";
	$area = config($file);

?>

<form action="?" method="post" style="display:inline;">
<input type=hidden name=cate value=plugin>
<input type=hidden name=mode value=copy_config_submit>
<input type=hidden name='to' value='<?=$ui['form_name']?>'>


<table>
	<tr>
		<td>
			<input class='button_blue' type='submit' value='선택'>
		</td>
		<td>
			<select name="from" onchange="describe(this.selectedIndex);">
			<option value=''>선택안함 (원하는 플러그인을 아래에서 선택하십시오.)</option>
			<?foreach($cfgs as $name => $cfg){?>
			<?
				if ( !isset($area[$name]) ) continue;
				$plugin = $area[$name];
				$info = array();
				include "./plugin/$plugin/info.php";
				$i = &$info;
				if ( empty($i['name']) ) continue;
				$v = $i['name'];
				if ( isset($i['version']) ) $v.=" v$i[version]";
				if ( isset($i['author']) ) $v.=" by $i[author]";
				$v.=" ($name)";
			?>
				<option value="<?=$name?>"><?=$v?></option>
			<?}?>
			</select>
		</td>
	</tr>
	
</table>


</form>


<?return noskin()?>
