<?php
define("XMLRPC_DEBUG", 1);
include("siteapi_default_library.php");
include("siteapi_datalayer_zb5.php");

$site		= "localhost";
$location	= "/siteapi/siteapi_server.php";


/** site.echo 의 결과
 * 아래의 코드들을 통해서 요청시의 값과 출력시의 값의 순서와 XML 변환 및 나열에 대해서 비교해 볼 수 있다.
 * @중요 호출을 할 때, 그냥 배열과 해쉬 배열과의 차이가 확연히난다. 이부분의 정립이 필요하다.
 * struct 로 구성을 하기 위해서는 XMLRPC_prepare(해쉬배열) 로 한번 감싸 줄 필요가 있다. 관련 설명 참조할 것.
 */
$in[]			= base64_encode('안녕 로피~!');
$in[]			= 'Hello, there~!';

$assoc['name']		= 'lopy';
$assoc['value']		= 'man';

//$in[]			= $assoc;											// array 형식으로 전달
$in[]			= XMLRPC_prepare($assoc);				// struct 형식으로 전달

$result = XMLRPC_request($site, $location, "site.echo",$in);

print_rx($result);												// 값을 확인

$assoc2 = $result[1][2];									// 입력한 $assoc 변수
echo $assoc2['value'];

XMLRPC_debug_print();

?>