<?php
/**
 * XML-RPC 클라이언트 테스트 스크립트들의 기본 설정 파일이다.
 *
 */

$_dirRoot = "..";
include("$_dirRoot/xmlrpc-2.1/lib/xmlrpc.inc");				// XML-RPC 클라이언트 라이브러리
include("$_dirRoot/siteapi_default_library.php");			// Site Open API 라이브러리
include("$_dirRoot/siteapi_dataspec_library.php");		// Site Open API 규격 관련 라이브러리
include("$_dirRoot/libetc.php");											// 기타 라이브러리
/**
 * 문자셋 처리
 *
 * XML-RPC 의 출력 데이터의 인코딩과 데이터베이스의 인코딩을 맞춘다.
 * @see database
 * @link http://phpxmlrpc.sourceforge.net/doc-2/ch08s02.html#d0e2742
 */

/**
 * @since 2007/01/04 모든 문자셋은 UTF-8 로 통일
 */
echo "<meta http-equiv=Content-Type content='text/html;charset=utf-8'>";
$GLOBALS['xmlrpc_internalencoding']='UTF-8';


/**
 * ID, PW, ENDPOINT, CLIENT 객체 생성
 *
 */
$id = 'thruthesky';
$pw = '1111';

// endpoint
$pp = pathinfo($_SERVER['SCRIPT_FILENAME']);
list($ep_local,$_trash) = split('src/'.$pp['basename'],"http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
$ep_wordpress = "http://thruthesky.wordpress.com/xmlrpc.php";
$ep_jangnans = "http://jangnans.com/siteapi/";
$ep_zb4 = "http://127.0.0.1/bbs/siteapi/";
$ep_oranc = "http://thruthesky.oranc.co.kr/bbs/siteapi/";
$ep_gnu4 = "http://my.com/gnuboard4/siteapi/";
$ep_out = "http://outsider.ne.kr/bbs/siteapi/";
$ep_dev = "http://devnet.cafe24.com/siteapi/";
$ep_x86 = "http://x86osx.com/bbs/siteapi/";
$ep_test = "http://fitness.zc.bz/etc/jangnan/siteapi/";
$ep_tech = "http://yourdomain.com/technote69putf8/siteapi/";
$ep_saramin = "http://saramin.namoweb.net/siteapi/";



if ( ! isset($_GET['ep']) ) $_GET['ep'] = 'localhost';
$_GET['postid'] = urlencode($_GET['postid']);


$var = "?ep=$_GET[ep]&postid=$_GET[postid]&id=$_GET[id]";

echo "
<html>
<head>
<title>SOAPS ( Site Open API PHP Server ) for $env[site_name]</title>

<style>
body {font-size: 12pt;}
</style>
</head>
<body>
API Method Lists: 
<a href=site.search.php$var>site.search.php(public #CATEGORY)</a>,
<a href=site.search_userbbs.php$var>site.search_userbbs.php(public #BBS #USER)</a>,
<a href=blogger.getUserInfo.php$var>getUserInfo</a>,
<a href=blogger.getUsersBlogs.php$var>getUsersBlogs</a>,
<a href=blogger.getRecentPosts.php$var>getRecentPosts</a>,
getPost(follow getRecentPosts link),
<a href=blogger.newPost.php$var>newPost(with some default values)</a>,
<a href=blogger.editPost.php$var>editPost(with some default values)</a>,
<a href=blogger.deletePost.php$var>deletePost(need to edit source)</a>,
<a href=blogger.getTemplate.php$var>blogger.getTemplate</a>,

<a href=metaWeblog.getCategories.php$var>metaWeblog.getCategories</a>,
<a href=metaWeblog.getRecentPosts.php$var>metaWeblog.getRecentPosts</a>,
<a href=metaWeblog.newPost.php$var>metaWeblog.newPost</a>,
<a href=metaWeblog.editPost.php$var>metaWeblog.editPost</a>,
<a href=metaWeblog.newMediaObject.php$var>metaWeblog.newMediaObject</a>,
<a href=metaWeblog.newMemo.php$var>metaWeblog.newMemo</a>,


<br>
<br>
End Points:
<a href='?ep=localhost&postid=$_GET[postid]&id=$_GET[id]'>localhost</a>
(<a href='?ep=localhost&postid=$_GET[postid]&debug=1&id=$_GET[id]&id=$_GET[id]'>with debug</a>),
<a href='?ep=wordpress&postid=$_GET[postid]&id=$_GET[id]'>wordpress</a>
(<a href='?ep=wordpress&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=jangnans&postid=$_GET[postid]&id=$_GET[id]'>jangnans</a>
(<a href='?ep=jangnans&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=zb4&postid=$_GET[postid]&id=$_GET[id]'>zb4</a>
(<a href='?ep=zb4&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=oranc&postid=$_GET[postid]&id=$_GET[id]'>thruthesky.oranc.co.kr/bbs/</a>
(<a href='?ep=oranc&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=gnu4&postid=$_GET[postid]&id=$_GET[id]'>local-gnuboard4</a>
(<a href='?ep=gnu4&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=out&postid=$_GET[postid]&id=$_GET[id]'>outsider</a>
(<a href='?ep=out&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=dev&postid=$_GET[postid]&id=$_GET[id]'>dev</a>
(<a href='?ep=dev&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=x86&postid=$_GET[postid]&id=$_GET[id]'>x86osx.com</a>
(<a href='?ep=x86&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=test&postid=$_GET[postid]&id=$_GET[id]'>fitness.zc.bz/etc/jangnan</a>
(<a href='?ep=test&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>),
<a href='?ep=tech&postid=$_GET[postid]&id=$_GET[id]'>테크노트</a>
(<a href='?ep=tech&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>)
<a href='?ep=saramin&postid=$_GET[postid]&id=$_GET[id]'>사람인</a>
(<a href='?ep=saramin&postid=$_GET[postid]&debug=1&id=$_GET[id]'>with debug</a>)

<br><br>
";
if ( isset($_GET['ep']) )
{
	if ( $_GET['ep'] == 'localhost' )
	{
		$endpoint = $ep_local; $id='ky'; $pw='1234';
		$apipw = md5($pw);
	}
	else if ( $_GET['ep'] == 'wordpress' ) { $endpoint = $ep_wordpress; $id='thruthesky'; $pw='fight9'; }
	else if ( $_GET['ep'] == 'jangnans' )
	{
		$endpoint = $ep_jangnans;
		$id='ky'; $pw='1234';
		$apipw = md5($pw);
	}
	else if ( $_GET['ep'] == 'zb4' )
	{
		$endpoint = $ep_zb4;
		$id='thruthesky'; $pw='1111';
		$GLOBALS['xmlrpc_internalencoding']='UTF-8';
		echo "<meta http-equiv=Content-Type content='text/html;charset=utf-8'>";
		$id='test'; $pw='test';
	}
	else if ( $_GET['ep'] == 'oranc' )
	{
		$endpoint = $ep_oranc;
		$id='thruthesky'; $pw='fight9';
		$GLOBALS['xmlrpc_internalencoding']='UTF-8';
		echo "<meta http-equiv=Content-Type content='text/html;charset=utf-8'>";
	}
	else if ( $_GET['ep'] == 'gnu4' )
	{
		$endpoint = $ep_gnu4;
		$id='thruthesky'; $pw='1234';
		$GLOBALS['xmlrpc_internalencoding']='UTF-8';
		echo "<meta http-equiv=Content-Type content='text/html;charset=utf-8'>";
	}
	else if ( $_GET['ep'] == 'out' )
	{
		$endpoint = $ep_out;
		$id='thruthesky'; $pw='1111';
		$GLOBALS['xmlrpc_internalencoding']='UTF-8';
		echo "<meta http-equiv=Content-Type content='text/html;charset=utf-8'>";
	}
	else if ( $_GET['ep'] == 'dev' )
	{
		$endpoint = $ep_out;
		$id='thruthesky'; $pw='1111';
	}
	else if ( $_GET['ep'] == 'x86' )
	{
		$endpoint = $ep_x86;
	}
	else if ( $_GET['ep'] == 'test' )
	{
		$endpoint = $ep_test;
		$id='ky'; $pw='1234';
	}
	else if ( $_GET['ep'] == 'tech' )
	{
		$endpoint = $ep_tech;
		$id='thruthesky28'; $pw='1111';
		$id='kythe'; $pw='1111';
	}
	else if ( $_GET['ep'] == 'saramin' )
	{
		$endpoint = $ep_saramin;
		$id='thruthesky'; $pw='1111';
	}
}

echo "endpoint: $endpoint , $id , $pw<br>";
// client object
$client = new xmlrpc_client( $endpoint );


if ( isset($_GET['debug']) && $_GET['debug'] == '1' )
{
	$client->setDebug(1);
}
?>
