<?php
/**
 * 시스템의 환경 설정을 저장한다.
 *
 * $system 에는 기존 설정 값, $ui 에는 새로운 설정값이 들어있다.
 *
 * @note 각종 설정 변경시, 기본 값(디렉토리 생성 등)을 체크해야한다.
 */
/**
 * loading beginning codes
 */
include_once script('begin');

unset($ui['cate']);
unset($ui['mode']);

lib('user');
$user = user($ui['admin_id']);
if (empty($user)) goBack(wrongID, "you have submitted wrong id. check it.");


lib('file');
$rc = writeAsInPHPCode($pathSystem, $ui);

if ( $rc === FALSE ) goBack(diskAccess, "system::modify_submit can not write system configuration into file.");


if ( $system['admin_id'] != $ui['admin_id'] )
{
	$old = user($system['admin_id']);
	if ( !empty($old) )
	{
		$data['grade']	= 1;
		$data['idx']		= $old['idx'];
		updateUser($data);
	}
	
	$data['grade']	= 30000;
	$data['idx']		= $user['idx'];
	updateUser($data);
}


//
// 캐쉬를 하지 않는 경우,
if ( isset($ui['delete_tmp_files']) && $ui['delete_tmp_files'] == "checked" )
{
	$files = getFiles(tmp_repository);

	foreach($files as $file) @unlink($file);
	
}



go("?cate=system&mode=modify");
?>
