<?php
/**
 * 플러그인 메인 스크립트
 *
 * @author			ky <thruthesky@yahoo.co.kr>
 * @license			JANGNAN http://jangnans.com
 * @date				2007/03/15
 *
 * 본 스크립트 articles 플러그인의 메인 (주) 스크립트(또는 복사된 스크립트)이다.
 * 본 스크립트는 플러그인에서 사용할 수 있는 기본적인 구조(골격,샘플)를 가지고있다.
 * 따라서 본 스크립트를 복사하여서 (필요하다면, 수정 후) 사용하면 좋다.
 *
 * @note 캐쉬 처리 참고
 */
/**
 * 글로벌 변수
 */
global $areaname, $plugindir, $url_config;
$cfg = config(cfgfile());								// 설정 내용
if ( $cfg === false ) return true;			// 설정 내용이 없으면 리턴,
if ( isset($cfg['hide']) && $cfg['hide'] == "checked" )
	return plugin_hide();								// 화면에 출력하지 않기 옵션 체크
$pwd = dirRoot."/plugin/$plugindir";										// 현제 플러그인 디렉토리. plugin working directory
if ( ! isset($cfg['skin']) ) $cfg['skin'] = 'default';	// 스킨 선택되지 않았으면, default 를 사용하도록 한다.
if ( plugin_cache_start($cfg) ) return true;						// 캐쉬 체크. 캐쉬 데이터를 출력했으면 그냥 리턴.
include "$pwd/skin/$cfg[skin]/$plugindir.html";					// 스킨 포함(실행, 표현, 출력)
plugin_cache_end($cfg);									// 캐쉬 마무리
/**
 * 아래에 필요한 함수를 작성하십시오.
 */
?>
