<?php
/**
 * 파일 다운로드
 * 
 * @todo 범용적으로 사용할 수 있도록 라이브러리화할 필요가 있다. 예를 들면 각종 백업 파일들의 다운로드이다. 동일한 코딩을 중복으로하면서 뇌세포를 혹사시킬 필요 없다.
 * @todo 다운로드 할 것인지, 웹브라우저로 바로 표현할 것인지 옵션으로 처리할 수 있도록 한다.
 * @since 2006/12/31 이미지와 같은 정보는 웹브라우저로 바로 보이게 한다.
 * @since 2007/04/11 이벤트 발생
 */
lib('filesystem');


// 파일 정보
$info = getfile($ui['idx']);
$filename = &$info['name'];
$filesize = &$info['size'];
$filetype = &$info['type'];

trigger_event('OnDownloadBefore',$info);


//
headers("Content-Type: $filetype");


//
if ( strstr($filetype,"image") === FALSE )
	headers("Content-Disposition: attachment; filename=$filename");


//
headers("Content-Transfer-Encoding: binary");
headers("Content-Length: $filesize");
headers("Cache-Control: cache, must-revalidate");
headers("Pragma: no-cache");
headers("Expires: 0");



$fp = @fopen(getfilepath($info), "rb");
if ( $fp === FALSE ) exit;
fpassthru($fp);
fclose ($fp);



updateFileHit($ui['idx']);



trigger_event('OnDownloadAfter',$info);

exit; // 강제 종료를 해야만 한다.

return array('0000000');



/**
// 1M 이하의 데이터는 바로 출력
if ( $filesize < 1000000 )
{
	fpassthru($fp);
}
// 1M 이상의 데이터는 나눠서 출력해야 CPU 점유율이 낮다. 1M 정도야 문제 없겠지만, 용량이 큰 경우에는 확실히 문제가 있다.
else
{
	while(!feof($fp))
	{
		echo fread($fp, 1024 * 128);
		flush();
	}
}
*/
?>
